summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlex Yang <yangyang1@zte.com.cn>2016-08-31 16:22:18 +0800
committerAlex Yang <yangyang1@zte.com.cn>2016-08-31 16:22:18 +0800
commitc9bc9966fc5405c250deec2da9a1646888c37149 (patch)
tree1391e6bb8c7014032250c2d1fa46eb8443ad2153
parent6e8831dace9b8a773b21c643b22481fddd37409e (diff)
installation script quits when no kingbird user/service exists
Change-Id: I5ea6c81f959e9e79b0022b889e6e378c68884052 Signed-off-by: Alex Yang <yangyang1@zte.com.cn>
-rw-r--r--tools/kingbird/install_kingbird.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/tools/kingbird/install_kingbird.sh b/tools/kingbird/install_kingbird.sh
index 96f13c3..8619ff3 100644
--- a/tools/kingbird/install_kingbird.sh
+++ b/tools/kingbird/install_kingbird.sh
@@ -89,6 +89,8 @@ mysql -uroot -e "DROP DATABASE IF EXISTS $mysql_db;"
mysql -uroot -e "CREATE DATABASE $mysql_db CHARACTER SET utf8;"
mysql -uroot -e "GRANT ALL PRIVILEGES ON $mysql_db.* TO '$mysql_user'@'$mysql_host' IDENTIFIED BY '$mysql_pass';"
+set +e
+
#Configure kingbird user
openstack user show kingbird 2>/dev/null
if [ $? -eq 0 ]; then
@@ -113,6 +115,8 @@ else
--region ${OS_REGION_NAME}
fi
+set -e
+
# Cleanup the folder before making a fresh clone
rm -rf kingbird/